## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2022-08-21
version: '3.1'

services:
  ghost:
    container_name: blog_ghost
    image: ghost:5-alpine
    restart: unless-stopped
    ports:
      - 2368:2368
    volumes:
      - ./ghost_content:/var/lib/ghost/content
    environment:
      url: https://blog.ndd.fr # LIEN DU BLOG, peut être http://IP_LOCAL:2368 si utilisation local uniquement
      database__client: mysql
      database__connection__host: db
      database__connection__user: root
      database__connection__password: PASSWORD_SUPER_FORT # CHOISIR UN MOT DE PASSE
      database__connection__database: ghost
# - DEBUT - CONFIGURATION MAIL - NON OBLIGATOIRE #
#      mail__transport: SMTP
#      mail__from: monmail@ndd.fr
#      mail__options__service: SMTP
#      mail__options__host: serveur.smtp.net
#      mail__options__port: <PORT_SMTP>
#      mail__options__auth__user: nom_utilisateur
#      mail__options__auth__pass: mon_mot_de_passe
# - FIN - CONFIGURATION MAIL - NON OBLIGATOIRE #
    depends_on:
      - db
    mem_limit: 512m

  db: 
    container_name: blog_db
    image: mysql:8-debian 
    restart: unless-stopped 
    environment:
      MYSQL_ROOT_PASSWORD: PASSWORD_SUPER_FORT # RE-UTILISER LE MOT DE PASSE CHOISI DANS LES VARIABLES DE GHOST
    volumes:
      - ./ghost_db:/var/lib/mysql
    mem_limit: 768m

